## mediawiki 1.25.5

=== debian/changelog ===
mediawiki (1:1.25.5-1) unstable; urgency=medium

  * Upgraded to new upstream release
  * Remove unneeded patches
  * Remove redrawn CC images; images provided by upstream are free
  * Fixed lintian warnings

 -- Kunal Mehta <legoktm@member.fsf.org>  Sun, 09 Aug 2015 23:49:36 +0000

=== debian/control ===
Source: mediawiki
Section: web
Priority: optional
Maintainer: Kunal Mehta <legoktm@member.fsf.org>
Build-Depends: debhelper (>= 9),
 dh-buildinfo,
 xsltproc, docbook-xml, docbook-xsl, apache2-dev
Homepage: https://www.mediawiki.org/
Standards-Version: 3.9.6
Vcs-Git: https://gerrit.wikimedia.org/r/mediawiki/debian.git
Vcs-Browser: https://git.wikimedia.org/summary/?r=mediawiki/debian.git

Package: mediawiki
Architecture: all
Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite | php5-mysqlnd, php5-common (>= 5.5.0+dfsg-10~), mime-support, libjs-jquery, mediawiki-classes, ${misc:Depends}
Recommends: mysql-server | postgresql-contrib, php5-cli, python, php-wikidiff2
Suggests: imagemagick | php5-gd, mediawiki-extensions-math, memcached, clamav, php5-apcu, php5-intl, hhvm
Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
 mediawiki-extensions-geshi (<< 2.8~),
 mediawiki-extensions-ldapauth (<< 2.8~),
 mediawiki-extensions-openid (<< 2.8~),
 mediawiki-extensions-fckeditor,
 mediawiki-extensions-collection (<< 2.8~),
 mediawiki-extensions-graphviz (<< 2.8~),
 mediawiki-extensions (<< 2.8~)
Conflicts: mediawiki-extensions-base (<< 3.5~),
 mediawiki-extensions-confirmedit
Replaces: mediawiki-extensions-confirmedit
Description: website engine for collaborative work
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.

Package: mediawiki-classes
Architecture: all
Depends: ${misc:Depends}
Breaks: mediawiki (<< 1:1.19.8+dfsg-2.1~)
Replaces: mediawiki (<< 1:1.19.8+dfsg-2.1~)
Description: website engine for collaborative work - standalone classes
 This package provides standalone classes from the remainder of the
 MediaWiki codebase. They do not call on any other portions of MediaWiki
 code, and can be used in portions of MediaWiki code, and can be used in
 other projects without dependency issues.
 .
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION:=$(shell dpkg-parsechangelog -n1 | sed -n '/^Version: /s///p')
DEB_NOEPOCH_VERSION:=$(shell DEB_VERSION=${DEB_VERSION}; echo $${DEB_VERSION\#*:})
DEB_UPSTREAM_VERSION:=$(shell DEB_NOEPOCH_VERSION=${DEB_NOEPOCH_VERSION}; echo $${DEB_NOEPOCH_VERSION%+dfsg-*})

override_dh_install:
	dh_install
	# Now some tidying up is required
	chmod a-x debian/mediawiki/usr/share/mediawiki/maintenance/dev/includes/require-php.sh
	chmod a-x debian/mediawiki/usr/share/mediawiki/maintenance/dev/includes/php.sh
	chmod a-x debian/mediawiki/usr/share/mediawiki/includes/profiler/ProfilerSectionOnly.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/includes/jobqueue/jobs/EnqueueJob.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdData.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Query/SimpleQueryStringTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/align-center.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Suggest/CandidateGenerator/DirectGenerator.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdDataInterface.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/smaller-ltr.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Sum.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Missing.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/DateRangeTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Bulk/Action/AbstractDocument.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Filter/TermsTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Query/CommonTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Filter/Indices.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/ClientTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/RangeTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Node/Info.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/CardinalityTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/GeohashGrid.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/GeoDistance.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Node/InfoTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Suggest/TermTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/IndexTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Avg.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Query/SimpleQueryString.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Suggest/Term.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Cardinality.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/NestedTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Type/MappingTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Histogram.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/BulkTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/GeoDistanceTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Index/Status.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/align-float-left.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/ExtendedStatsTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/ValueCount.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Search.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Query/FunctionScoreTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/IpRangeTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/GlobalAggregationTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Nested.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Query.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/MissingTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/IpRange.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/apex/images/icons/align-float-left.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/bigger-ltr.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/ExtendedStats.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Filter/GeohashCell.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Index/SettingsTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Filter/GeohashCellTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Type/Mapping.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/mediawiki/images/icons/align-float-right.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Bulk/Action.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oojs/oojs-ui/src/themes/apex/images/icons/align-float-right.svg
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/FilterTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Query/FunctionScore.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/Terms.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/zordius/lightncandy/tests/example_helpers.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Suggest/Phrase.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Suggest/AbstractSuggest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/ValueCountTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/SumTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/lib/Elastica/Aggregation/GlobalAggregation.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/ruflin/elastica/test/lib/Elastica/Test/Aggregation/DateHistogramTest.php

=== debian/watch ===
version=3

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//,pgpsigurlmangle=s/$/.sig/" \
https://releases.wikimedia.org/mediawiki/1.25/ mediawiki-([0-9.]*).tar.gz

## mediawiki 1.27.0

=== debian/changelog ===
mediawiki (1:1.27.0-1) unstable; urgency=medium

  * New upstream release
  * Update dependencies to be PHP version agnostic
  * Switch to new 1.27 MediaWiki Installer overrides system, drop old patches
  * Local patch to remove newline before shebang in php-jwt/run-tests.sh
  * Local patch to fix pear/mail_mime/scripts/phail.php shebang
  * Remove permission fixes that were addressed upstream, add new ones
  * Properly override source-is-missing lintian warning
  * Drop AdminSettings.php support
  * Add php-curl, php-intl, and php-wikidiff2 as Recommends
  * Add python as recommended for SyntaxHighlighting (via pygments)
  * Remove unnecessary Build-Depends packages
  * Update watch file for 1.27
  * Standards version 3.9.8
  * Include serialized/ folder in install, MediaWiki now needs it at runtime
  * Rewrite and simplify README

 -- Kunal Mehta <legoktm@member.fsf.org>  Thu, 30 Jun 2016 22:48:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Kunal Mehta <legoktm@member.fsf.org>
 Build-Depends: debhelper (>= 9),
  dh-buildinfo,
- xsltproc, docbook-xml, docbook-xsl, apache2-dev
+ apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://gerrit.wikimedia.org/r/mediawiki/debian.git
-Vcs-Browser: https://git.wikimedia.org/summary/?r=mediawiki/debian.git
+Vcs-Browser: https://phabricator.wikimedia.org/diffusion/MDEB/
 
 Package: mediawiki
 Architecture: all
-Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite | php5-mysqlnd, php5-common (>= 5.5.0+dfsg-10~), mime-support, libjs-jquery, mediawiki-classes, ${misc:Depends}
-Recommends: mysql-server | postgresql-contrib, php5-cli, python, php-wikidiff2
-Suggests: imagemagick | php5-gd, mediawiki-extensions-math, memcached, clamav, php5-apcu, php5-intl, hhvm
+Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common (>= 5.5.0+dfsg-10~), php-mbstring, mime-support, libjs-jquery, mediawiki-classes, ${misc:Depends}
+Recommends: mysql-server | postgresql-contrib, php-cli, php-intl, php-curl, php-wikidiff2, python
+Suggests: imagemagick | php-gd, memcached, clamav, php-apcu, hhvm
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
  mediawiki-extensions-geshi (<< 2.8~),
  mediawiki-extensions-ldapauth (<< 2.8~),

## mediawiki 1.27.1

=== debian/changelog ===
mediawiki (1:1.27.1-2) unstable; urgency=high

  * Add missing php-xml dependency (Closes: #835912)

 -- Kunal Mehta <legoktm@member.fsf.org>  Mon, 29 Aug 2016 20:44:17 -0700

mediawiki (1:1.27.1-1) unstable; urgency=medium

  * Add gbp.conf for git-buildpackage
  * Improve Breaks/Replaces for mediawiki-extensions-* packages
    (Closes: #831227)
  * Update apache config for mod_php7
  * Don't add custom PHP session configuration (Closes: #831874)
  * Imported Upstream version 1.27.1 (security release), fixing
    CVE-2016-6335, CVE-2016-6334, CVE-2016-6333, CVE-2016-6333,
    CVE-2016-6336, CVE-2016-6332, CVE-2016-6332, CVE-2016-6331,
    CVE-2016-6337

 -- Kunal Mehta <legoktm@member.fsf.org>  Mon, 22 Aug 2016 20:08:40 -0700

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,22 @@
 
 Package: mediawiki
 Architecture: all
-Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common (>= 5.5.0+dfsg-10~), php-mbstring, mime-support, libjs-jquery, mediawiki-classes, ${misc:Depends}
+Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common (>= 5.5.0+dfsg-10~), php-mbstring, php-xml, mime-support, libjs-jquery, mediawiki-classes, ${misc:Depends}
 Recommends: mysql-server | postgresql-contrib, php-cli, php-intl, php-curl, php-wikidiff2, python
 Suggests: imagemagick | php-gd, memcached, clamav, php-apcu, hhvm
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
- mediawiki-extensions-geshi (<< 2.8~),
  mediawiki-extensions-ldapauth (<< 2.8~),
  mediawiki-extensions-openid (<< 2.8~),
  mediawiki-extensions-fckeditor,
  mediawiki-extensions-collection (<< 2.8~),
  mediawiki-extensions-graphviz (<< 2.8~),
- mediawiki-extensions (<< 2.8~)
-Conflicts: mediawiki-extensions-base (<< 3.5~),
- mediawiki-extensions-confirmedit
-Replaces: mediawiki-extensions-confirmedit
+ mediawiki-extensions (<< 2.8~),
+ mediawiki-extensions-base,
+ mediawiki-extensions-confirmedit,
+ mediawiki-extensions-geshi
+Replaces: mediawiki-extensions-base,
+ mediawiki-extensions-confirmedit,
+ mediawiki-extensions-geshi
 Description: website engine for collaborative work
  MediaWiki is a wiki engine (a program for creating a collaboratively
  edited website). It is designed to handle heavy websites containing

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION:=$(shell dpkg-parsechangelog -n1 | sed -n '/^Version: /s///p')
DEB_NOEPOCH_VERSION:=$(shell DEB_VERSION=${DEB_VERSION}; echo $${DEB_VERSION\#*:})
DEB_UPSTREAM_VERSION:=$(shell DEB_NOEPOCH_VERSION=${DEB_NOEPOCH_VERSION}; echo $${DEB_NOEPOCH_VERSION%+dfsg-*})

override_dh_install:
	dh_install
	# Now some tidying up is required
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17178.phpt
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17317.phpt
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/xmail.dtd
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/Mail/mimePart.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/Mail/mimeDecode.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/xmail.xsl
	# These were fixed upstream already: https://github.com/liuggio/statsd-php-client/pull/52
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdData.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/StatsdDataFactoryTest.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdDataInterface.php
	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/Entity/StatsdDataTest.php
	# Submitted upstream: https://github.com/oyejorge/less.php/pull/325
	chmod a+x debian/mediawiki/usr/share/mediawiki/vendor/oyejorge/less.php/bin/lessc

	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
	while read i; do \
		dh_link "`echo "$$i" | sed -e s#debian/mediawiki/##`" \
		"`echo "$$i" | sed -e s#debian/mediawiki/usr/share/mediawiki/#var/lib/mediawiki/#`"; \
	done
	# Use system javascript libraries
	rm debian/mediawiki/usr/share/mediawiki/resources/lib/jquery/jquery.js
	dh_link usr/share/javascript/jquery/jquery.min.js usr/share/mediawiki/resources/lib/jquery/jquery.js
	# Remove Makefiles
	find debian/mediawiki/ -iname makefile -exec rm {} \;
	# Put debian version for mediawiki version..
	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php
	# Move extensions
	mkdir -p debian/mediawiki/usr/share/doc/mediawiki
	mv debian/mediawiki/var/lib/mediawiki/extensions/README \
	    debian/mediawiki/usr/share/doc/mediawiki/README.extensions
	mv debian/mediawiki/var/lib/mediawiki/extensions \
	    debian/mediawiki/usr/share/mediawiki/extensions-core
	mkdir debian/mediawiki/var/lib/mediawiki/extensions
	coreextensions=$$(cd debian/mediawiki/usr/share/mediawiki/extensions-core; \
	    echo *); for coreextension in $$coreextensions; do \
		dh_link usr/share/mediawiki/extensions-core/"$$coreextension" \
		    var/lib/mediawiki/extensions/"$$coreextension"; \
	done
	# includes/libs is provided by mediawiki-classes
	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs

override_dh_installdeb:
	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
	dh_installdeb

%:
	dh $@ --with apache2

## mediawiki 1.27.2

=== debian/changelog ===
mediawiki (1:1.27.2-1) unstable; urgency=medium

  * Improve NEWS file (Closes: #852862, #854352)
  * Imported Upstream version 1.27.2 (security release), fixing
    CVE-2017-0363, CVE-2017-0364, CVE-2017-0365, CVE-2017-0361,
    CVE-2017-0362, CVE-2017-0368, CVE-2017-0366, CVE-2017-0370,
    CVE-2017-0369, CVE-2017-0367, CVE-2017-0372

 -- Kunal Mehta <legoktm@member.fsf.org>  Thu, 06 Apr 2017 14:04:24 -0700

mediawiki (1:1.27.1-3) unstable; urgency=medium

  * Ensure mediawiki depends upon the same version of mediawiki-classes
  * Add powered by Debian icon in footer
  * Add NEWS for major version upgrade (Closes: #838965)
  * Add README for mediawiki-classes
  * Add RELEASE-NOTES-* as documentation for mediawiki
  * Recommend default-mysql-server | virtual-mysql-server instead of
    just mysql-server (Closes: #843994, #848441)
  * Use bundled jQuery (version 1) instead of Debian's jQuery, which is
    now the incompatible version 3
  * Add Provides for extensions now included in this one (Closes: #845281)

 -- Kunal Mehta <legoktm@member.fsf.org>  Tue, 13 Sep 2016 04:17:42 -0700

## mediawiki 1.27.3

=== debian/changelog ===
mediawiki (1:1.27.3-1) unstable; urgency=medium

  * Imported Upstream version 1.27.3 (security release), that
    actually contains the fix for CVE-2017-0372 (Closes: #861585)

 -- Kunal Mehta <legoktm@member.fsf.org>  Mon, 01 May 2017 13:20:11 -0700

## mediawiki 1.27.4

=== vendor/pear/mail_mime/tests/Makefile ===

clean:
	rm -f *.log *.php *.diff *.exp *.out



test:
	cd .. && pear run-tests tests/*.phpt && cd tests;

=== debian/changelog ===
mediawiki (1:1.27.4-3) unstable; urgency=medium

  * Add basic tests via autopkgtest
  * Document mediawiki-jobrunner systemd unit in README.Debian

 -- Kunal Mehta <legoktm@member.fsf.org>  Sun, 03 Dec 2017 00:20:33 -0800

mediawiki (1:1.27.4-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1
  * Set Rules-Requires-Root: no
  * Remove unused lintian overrides
  * Upgrade php-apcu to a Recommends
  * Use debhelper compat 10
  * Add a systemd unit to run runJobs.php as a service
  * Get rid of unnecessary dh_installdeb override
  * Remove dead code to mess with $wgVersion
  * Synchronise upstream/signing-key.asc
  * Remove broken ConfirmEdit/Asirra.php & Vector/Vector.php symlinks
    (Closes: #857773)
  * Document descriptions and forwarded status for all patches
  * Remove unused GPL-3.0 paragraph from debian/copyright
  * Override composer-package-without-pkg-php-tools-builddep lintian warning

 -- Kunal Mehta <legoktm@member.fsf.org>  Thu, 23 Nov 2017 01:22:51 -0800

mediawiki (1:1.27.4-1) unstable; urgency=medium

  * Imported Upstream version 1.27.4 (security release), fixing
    CVE-2017-8809, CVE-2017-8810, CVE-2017-8808, CVE-2017-8811,
    CVE-2017-8812, CVE-2017-8814, CVE-2017-8815.
  * Users who used the default configuration should not be affected
    by CVE-2017-9841, but an extra .htaccess file will restrict
    web access to the vendor/ directory.

 -- Kunal Mehta <legoktm@member.fsf.org>  Tue, 14 Nov 2017 15:52:47 -0800

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: web
 Priority: optional
 Maintainer: Kunal Mehta <legoktm@member.fsf.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Git: https://gerrit.wikimedia.org/r/mediawiki/debian.git
 Vcs-Browser: https://phabricator.wikimedia.org/diffusion/MDEB/
+Rules-Requires-Root: no
 
 Package: mediawiki
 Architecture: all
-Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common (>= 5.5.0+dfsg-10~), php-mbstring, php-xml, mime-support, libjs-jquery, mediawiki-classes, ${misc:Depends}
-Recommends: mysql-server | postgresql-contrib, php-cli, php-intl, php-curl, php-wikidiff2, python
-Suggests: imagemagick | php-gd, memcached, clamav, php-apcu, hhvm
+Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common (>= 5.5.0+dfsg-10~), php-mbstring, php-xml, mime-support, mediawiki-classes (= ${binary:Version}), ${misc:Depends}
+Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib, php-cli, php-apcu, php-intl, php-curl, php-wikidiff2, python
+Suggests: imagemagick | php-gd, memcached, clamav, hhvm
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
  mediawiki-extensions-ldapauth (<< 2.8~),
  mediawiki-extensions-openid (<< 2.8~),
@@ -27,6 +28,8 @@
  mediawiki-extensions-geshi
 Replaces: mediawiki-extensions-base,
  mediawiki-extensions-confirmedit,
+ mediawiki-extensions-geshi
+Provides: mediawiki-extensions-confirmedit,
  mediawiki-extensions-geshi
 Description: website engine for collaborative work
  MediaWiki is a wiki engine (a program for creating a collaboratively

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_VERSION:=$(shell dpkg-parsechangelog -n1 | sed -n '/^Version: /s///p')
-DEB_NOEPOCH_VERSION:=$(shell DEB_VERSION=${DEB_VERSION}; echo $${DEB_VERSION\#*:})
-DEB_UPSTREAM_VERSION:=$(shell DEB_NOEPOCH_VERSION=${DEB_NOEPOCH_VERSION}; echo $${DEB_NOEPOCH_VERSION%+dfsg-*})
 
 override_dh_install:
 	dh_install
@@ -26,14 +22,8 @@
 		dh_link "`echo "$$i" | sed -e s#debian/mediawiki/##`" \
 		"`echo "$$i" | sed -e s#debian/mediawiki/usr/share/mediawiki/#var/lib/mediawiki/#`"; \
 	done
-	# Use system javascript libraries
-	rm debian/mediawiki/usr/share/mediawiki/resources/lib/jquery/jquery.js
-	dh_link usr/share/javascript/jquery/jquery.min.js usr/share/mediawiki/resources/lib/jquery/jquery.js
 	# Remove Makefiles
 	find debian/mediawiki/ -iname makefile -exec rm {} \;
-	# Put debian version for mediawiki version..
-	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
-			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php
 	# Move extensions
 	mkdir -p debian/mediawiki/usr/share/doc/mediawiki
 	mv debian/mediawiki/var/lib/mediawiki/extensions/README \
@@ -49,9 +39,15 @@
 	# includes/libs is provided by mediawiki-classes
 	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs
 
-override_dh_installdeb:
-	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
-	dh_installdeb
+override_dh_systemd_enable:
+	# Do not enable by default, the user needs to manually
+	# configure MediaWiki first.
+	dh_systemd_enable --no-enable --name=mediawiki-jobrunner
+
+override_dh_installinit:
+	# We only have a systemd unit, not sysvinit.
+	# Can be removed in debhelper compat 11
+	dh_installinit -Nmediawiki
 
 %:
 	dh $@ --with apache2

=== debian/tests/control ===
Tests: lint
Depends: @, php-cli, jsonlint

Tests: install-sqlite
Depends: @, php-cli, php-sqlite3, curl, sudo, apache2
Restrictions: needs-root

Tests: install-mysql
Depends: @, php-cli, php-mysql, default-mysql-server, curl, sudo, apache2
Restrictions: needs-root

Tests: install-postgresql
Depends: @, php-cli, php-pgsql, postgresql, curl, sudo, apache2
Restrictions: needs-root

=== debian/watch ===
version=3

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//,pgpsigurlmangle=s/$/.sig/" \
https://releases.wikimedia.org/mediawiki/1.27/ mediawiki-([0-9.]*).tar.gz

## mediawiki 1.27.5

=== debian/changelog ===
mediawiki (1:1.27.5-1~deb9u1) stretch-security; urgency=medium

  * New upstream version 1.27.5 (security release), fixing
    CVE-2018-0503, CVE-2018-0504, CVE-2018-0505.

 -- Kunal Mehta <legoktm@member.fsf.org>  Thu, 20 Sep 2018 13:18:12 -0700

mediawiki (1:1.27.4-1~deb9u1) stretch-security; urgency=high

  * Imported Upstream version 1.27.4 (security release), fixing
    CVE-2017-8809, CVE-2017-8810, CVE-2017-8808, CVE-2017-8811,
    CVE-2017-8812, CVE-2017-8814, CVE-2017-8815.
  * Users who used the default configuration should not be affected
    by CVE-2017-9841, but an extra .htaccess file will restrict
    web access to the vendor/ directory.

 -- Kunal Mehta <legoktm@member.fsf.org>  Tue, 14 Nov 2017 15:02:45 -0800

## mediawiki 1.27.6

=== debian/changelog ===
mediawiki (1:1.27.6-1~deb9u1) stretch-security; urgency=medium

  * New upstream version 1.27.6 (security release), fixing
    CVE-2019-12466, CVE-2019-12467, CVE-2019-12468, CVE-2019-12469,
    CVE-2019-12470, CVE-2019-12471, CVE-2019-12472, CVE-2019-12473,
    CVE-2019-12474. The bundled jQuery was also updated, fixing
    CVE-2019-11358.

 -- Kunal Mehta <legoktm@debian.org>  Wed, 05 Jun 2019 16:48:43 -0400

## mediawiki 1.27.7

=== debian/changelog ===
mediawiki (1:1.27.7-1+deb9u11) stretch-security; urgency=high

  * Backport fix for CVE-2021-44858. This version is not vulnerable to
    CVE-2021-44857 nor CVE-2021-45038.

 -- Kunal Mehta <legoktm@debian.org>  Tue, 14 Dec 2021 19:07:06 -0800

mediawiki (1:1.27.7-1~deb9u10) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2021-35197:
    In MediaWiki bots have certain unintended API access. When a bot account
    has a "sitewide block" applied, it is able to still "purge" pages through
    the MediaWiki Action API (which a "sitewide block" should have prevented).
  * Fix CVE-2021-41798:
    XSS vulnerability in Special:Search.
    Fix CVE-2021-41799:
  * ApiQueryBacklinks can cause a full table scan.

 -- Markus Koschany <apo@debian.org>  Sat, 09 Oct 2021 16:59:52 +0200

mediawiki (1:1.27.7-1~deb9u9) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Regression update: Fix for CVE-2021-30152 not compatible with
    1.27.7, causing exception error. Backported new fix from 1.31.x

 -- Abhijith PA <abhijith@debian.org>  Thu, 06 May 2021 18:48:30 +0530

mediawiki (1:1.27.7-1~deb9u8+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * test_patch

 -- Abhijith PA <abhijith@debian.org>  Wed, 05 May 2021 01:36:03 +0530

mediawiki (1:1.27.7-1~deb9u8) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2021-20270, CVE-2021-27291: Disable pygmentize and
    various lexers.
  * Fix CVE-2021-30152, CVE-2021-30155, CVE-2021-30158, CVE-2021-30159

 -- Abhijith PA <abhijith@debian.org>  Tue, 04 May 2021 19:07:06 +0530

mediawiki (1:1.27.7-1~deb9u7) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2020-15005, backported from upstream
  * Fix CVE-2020-35477, backported from upstream
  * Fix CVE-2020-35479, backported from upstream
  * Fix CVE-2020-35480, backported from upstream

 -- Roberto C. Sánchez <roberto@debian.org>  Tue, 22 Dec 2020 20:05:06 -0500

mediawiki (1:1.27.7-1~deb9u6) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Additional correction for defective patch for CVE-2020-25827 fix (thanks
    to Jan Niehusmann for the patch)

 -- Roberto C. Sánchez <roberto@debian.org>  Wed, 18 Nov 2020 23:12:57 -0500

mediawiki (1:1.27.7-1~deb9u5) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Correct defective patch for CVE-2020-25827 fix (Closes: #971264)
  * Backport lint test via autopkgtest

 -- Roberto C. Sánchez <roberto@debian.org>  Mon, 28 Sep 2020 10:20:09 -0400

mediawiki (1:1.27.7-1~deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2020-25813, backported from upstream
  * Fix CVE-2020-25814, backported from upstream
  * Fix CVE-2020-25827, backported from upstream
  * Fix CVE-2020-25828, backported from upstream

 -- Roberto C. Sanchez <roberto@debian.org>  Fri, 25 Sep 2020 20:46:28 -0400

mediawiki (1:1.27.7-1~deb9u3) stretch-security; urgency=medium

  * Fix CVE-2019-19709, backported from upstream
  * Disable personal and sitewide CSS/JS on Special:PasswordReset as a
    hardening measure, backported from upstream

 -- Kunal Mehta <legoktm@debian.org>  Thu, 12 Dec 2019 14:53:50 -0800

mediawiki (1:1.27.7-1~deb9u2) stretch-security; urgency=medium

  * Fix CVE-2019-16738, backported from upstream

 -- Kunal Mehta <legoktm@debian.org>  Sun, 13 Oct 2019 15:21:42 -0700

mediawiki (1:1.27.7-1~deb9u1) stretch-security; urgency=medium

  * New upstream version 1.27.6 and 1.27.7 (security release), fixing
    CVE-2019-12466, CVE-2019-12467, CVE-2019-12468, CVE-2019-12469,
    CVE-2019-12470, CVE-2019-12471, CVE-2019-12472, CVE-2019-12473,
    CVE-2019-12474. The bundled jQuery was also updated, fixing
    CVE-2019-11358.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 06 Jun 2019 23:20:10 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #!/usr/bin/make -f
+
+DEB_VERSION:=$(shell dpkg-parsechangelog -n1 | sed -n '/^Version: /s///p')
+DEB_NOEPOCH_VERSION:=$(shell DEB_VERSION=${DEB_VERSION}; echo $${DEB_VERSION\#*:})
+DEB_UPSTREAM_VERSION:=$(shell DEB_NOEPOCH_VERSION=${DEB_NOEPOCH_VERSION}; echo $${DEB_NOEPOCH_VERSION%+dfsg-*})
 
 override_dh_install:
 	dh_install
 	# Now some tidying up is required
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17178.phpt
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17317.phpt
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/xmail.dtd
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/Mail/mimePart.php
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/Mail/mimeDecode.php
-	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/xmail.xsl
 	# These were fixed upstream already: https://github.com/liuggio/statsd-php-client/pull/52
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdData.php
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/StatsdDataFactoryTest.php
@@ -24,6 +24,9 @@
 	done
 	# Remove Makefiles
 	find debian/mediawiki/ -iname makefile -exec rm {} \;
+	# Put debian version for mediawiki version..
+	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
+			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php
 	# Move extensions
 	mkdir -p debian/mediawiki/usr/share/doc/mediawiki
 	mv debian/mediawiki/var/lib/mediawiki/extensions/README \
@@ -39,15 +42,9 @@
 	# includes/libs is provided by mediawiki-classes
 	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs
 
-override_dh_systemd_enable:
-	# Do not enable by default, the user needs to manually
-	# configure MediaWiki first.
-	dh_systemd_enable --no-enable --name=mediawiki-jobrunner
-
-override_dh_installinit:
-	# We only have a systemd unit, not sysvinit.
-	# Can be removed in debhelper compat 11
-	dh_installinit -Nmediawiki
+override_dh_installdeb:
+	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
+	dh_installdeb
 
 %:
 	dh $@ --with apache2

=== debian/tests/control ===
Tests: lint
Depends: @, php-cli, jsonlint

## mediawiki 1.30.0

=== debian/changelog ===
mediawiki (1:1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0
  * Update Vcs-Browser to use Gerrit/Gitiles as repository viewer
  * Update d/watch for 1.30
  * Update d/copyright for 1.30
  * Rebase patches, dropping php-jwt-fix-shebang.diff
  * Don't try to install any *.phtml
  * Drop Suggests on hhvm
  * Suppress and fix some lintian issues
  * Refer to newly available `/usr/share/common-licenses/CC0-1.0`
  * Standards-Version: 4.1.4
  * Update mediawiki.NEWS for 1.30 release
  * Install composer.json to avoid update.php warning

 -- Kunal Mehta <legoktm@member.fsf.org>  Thu, 12 Apr 2018 21:26:19 -0700

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Vcs-Git: https://gerrit.wikimedia.org/r/mediawiki/debian.git
-Vcs-Browser: https://phabricator.wikimedia.org/diffusion/MDEB/
+Vcs-Browser: https://gerrit.wikimedia.org/g/mediawiki/debian
 Rules-Requires-Root: no
 
 Package: mediawiki
 Architecture: all
 Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common (>= 5.5.0+dfsg-10~), php-mbstring, php-xml, mime-support, mediawiki-classes (= ${binary:Version}), ${misc:Depends}
 Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib, php-cli, php-apcu, php-intl, php-curl, php-wikidiff2, python
-Suggests: imagemagick | php-gd, memcached, clamav, hhvm
+Suggests: imagemagick | php-gd, memcached, clamav
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
  mediawiki-extensions-ldapauth (<< 2.8~),
  mediawiki-extensions-openid (<< 2.8~),

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #!/usr/bin/make -f
-
-DEB_VERSION:=$(shell dpkg-parsechangelog -n1 | sed -n '/^Version: /s///p')
-DEB_NOEPOCH_VERSION:=$(shell DEB_VERSION=${DEB_VERSION}; echo $${DEB_VERSION\#*:})
-DEB_UPSTREAM_VERSION:=$(shell DEB_NOEPOCH_VERSION=${DEB_NOEPOCH_VERSION}; echo $${DEB_NOEPOCH_VERSION%+dfsg-*})
 
 override_dh_install:
 	dh_install
 	# Now some tidying up is required
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17178.phpt
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail/tests/bug17317.phpt
+	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/xmail.dtd
+	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/Mail/mimePart.php
+	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/Mail/mimeDecode.php
+	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/pear/mail_mime-decode/xmail.xsl
 	# These were fixed upstream already: https://github.com/liuggio/statsd-php-client/pull/52
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/src/Liuggio/StatsdClient/Entity/StatsdData.php
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/StatsdDataFactoryTest.php
@@ -16,6 +16,7 @@
 	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/liuggio/statsd-php-client/tests/Liuggio/StatsdClient/Entity/StatsdDataTest.php
 	# Submitted upstream: https://github.com/oyejorge/less.php/pull/325
 	chmod a+x debian/mediawiki/usr/share/mediawiki/vendor/oyejorge/less.php/bin/lessc
+	chmod a-x debian/mediawiki/usr/share/mediawiki/vendor/oyejorge/less.php/lib/Less/Less.php.combine
 
 	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
 	while read i; do \
@@ -24,9 +25,6 @@
 	done
 	# Remove Makefiles
 	find debian/mediawiki/ -iname makefile -exec rm {} \;
-	# Put debian version for mediawiki version..
-	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
-			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php
 	# Move extensions
 	mkdir -p debian/mediawiki/usr/share/doc/mediawiki
 	mv debian/mediawiki/var/lib/mediawiki/extensions/README \
@@ -42,9 +40,15 @@
 	# includes/libs is provided by mediawiki-classes
 	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs
 
-override_dh_installdeb:
-	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
-	dh_installdeb
+override_dh_systemd_enable:
+	# Do not enable by default, the user needs to manually
+	# configure MediaWiki first.
+	dh_systemd_enable --no-enable --name=mediawiki-jobrunner
+
+override_dh_installinit:
+	# We only have a systemd unit, not sysvinit.
+	# Can be removed in debhelper compat 11
+	dh_installinit -Nmediawiki
 
 %:
 	dh $@ --with apache2

=== debian/watch ===
version=3

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//,pgpsigurlmangle=s/$/.sig/" \
https://releases.wikimedia.org/mediawiki/1.30/ mediawiki-([0-9.]*).tar.gz

## mediawiki 1.31.1

=== debian/changelog ===
mediawiki (1:1.31.1-4) unstable; urgency=medium

  * Update my email address
  * Temporarily add allow-stderr restriction to autopkgtests (Closes: #911829)

 -- Kunal Mehta <legoktm@debian.org>  Thu, 25 Oct 2018 23:19:40 -0700

mediawiki (1:1.31.1-3) unstable; urgency=medium

  * Document removal of CologneBlue and Modern in NEWS (Closes: #909589)
  * Document filesystem structure in README.Debian

 -- Kunal Mehta <legoktm@member.fsf.org>  Wed, 26 Sep 2018 20:41:24 -0700

mediawiki (1:1.31.1-2) unstable; urgency=medium

  * Fix SQLite autopkgtests.
  * Remove bogus version dependency upon php-common.
  * Fix some package-contains-documentation-outside-usr-share-doc issues.

 -- Kunal Mehta <legoktm@member.fsf.org>  Sat, 22 Sep 2018 16:16:02 -0700

mediawiki (1:1.31.1-1) unstable; urgency=medium

  * New upstream version 1.31.1, including fixes for CVE-2018-0503,
    CVE-2018-0505, CVE-2018-0504.
  * Use PlatformSettings.php instead of LocalSettingsGenerator, see NEWS
    for details on how to migrate.
  * Wrap $wgFooterIcons custom config in an $wgExtensionFunctions, so the
    resources path is read after config. (Closes: #863332)
  * SyntaxHighlight extension now uses Python 3.

 -- Kunal Mehta <legoktm@member.fsf.org>  Fri, 21 Sep 2018 23:13:24 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mediawiki
 Section: web
 Priority: optional
-Maintainer: Kunal Mehta <legoktm@member.fsf.org>
+Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper (>= 10),
  dh-buildinfo,
  apache2-dev
@@ -13,8 +13,8 @@
 
 Package: mediawiki
 Architecture: all
-Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common (>= 5.5.0+dfsg-10~), php-mbstring, php-xml, mime-support, mediawiki-classes (= ${binary:Version}), ${misc:Depends}
-Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib, php-cli, php-apcu, php-intl, php-curl, php-wikidiff2, python
+Depends: apache2 | httpd, php, php-mysql | php-pgsql | php-sqlite3 | php-mysqlnd, php-common, php-mbstring, php-xml, mime-support, mediawiki-classes (= ${binary:Version}), ${misc:Depends}
+Recommends: default-mysql-server | virtual-mysql-server | postgresql-contrib, php-cli, php-apcu, php-intl, php-curl, php-wikidiff2, python3
 Suggests: imagemagick | php-gd, memcached, clamav
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
  mediawiki-extensions-ldapauth (<< 2.8~),

=== debian/tests/control ===
Tests: lint
Depends: @, php-cli, jsonlint
Restrictions: allow-stderr

Tests: install-sqlite
Depends: @, php-cli, php-sqlite3, curl, sudo, apache2
Restrictions: needs-root, allow-stderr

Tests: install-mysql
Depends: @, php-cli, php-mysql, default-mysql-server, curl, sudo, apache2
Restrictions: needs-root, allow-stderr

Tests: install-postgresql
Depends: @, php-cli, php-pgsql, postgresql, curl, sudo, apache2
Restrictions: needs-root, allow-stderr

## mediawiki 1.31.2

=== debian/changelog ===
mediawiki (1:1.31.2-1ubuntu1) eoan; urgency=medium

  [ Lars Tangvald ]
  * d/tests: Update for MySQL 8.0
    PHP's mysql connector does not currently support MySQL's new default
    authentication, so another must be specified when creating the user.

  [ Robie Basak ]
  * d/tests: tweak Lars' change to retain old behaviour on older MySQL and on
    MariaDB so that the test suite functions correctly regardless of the
    behaviour required.
  * d/t/control: explicitly test both MySQL and MariaDB in addition to
    whichever is the default.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 28 Aug 2019 18:30:01 +0000

mediawiki (1:1.31.2-1) unstable; urgency=medium

  [ Kunal Mehta ]
  * New upstream version 1.31.2 (security release), fixing
    CVE-2019-12466, CVE-2019-12467, CVE-2019-12468, CVE-2019-12469,
    CVE-2019-12470, CVE-2019-12471, CVE-2019-12472, CVE-2019-12473,
    CVE-2019-12474. The bundled jQuery was also updated, fixing
    CVE-2019-11358.
  * Fix regex that was breaking file uploads in PHP 7.3
    (Closes: #928716).
  * Sync upstream/signing-key.asc with mediawiki.org.
  * Drop patch merged upstream.
  * Revert "Temporarily add allow-stderr restriction to autopkgtests",
    as it was fixed upstream.

  [ Mark A. Hershberger ]
  * Fix indentation in README.Debian

 -- Kunal Mehta <legoktm@debian.org>  Wed, 05 Jun 2019 22:40:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: mediawiki
 Section: web
 Priority: optional
-Maintainer: Kunal Mehta <legoktm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper (>= 10),
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://gerrit.wikimedia.org/r/mediawiki/debian.git
 Vcs-Browser: https://gerrit.wikimedia.org/g/mediawiki/debian
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: lint
Depends: @, php-cli, jsonlint

Tests: install-sqlite
Depends: @, php-cli, php-sqlite3, curl, sudo, apache2
Restrictions: needs-root

Tests: install-mysql
Depends: @, php-cli, php-mysql, default-mysql-server, curl, sudo, apache2
Restrictions: needs-root

Tests: install-mysql
Depends: @, php-cli, php-mysql, mysql-server, curl, sudo, apache2
Restrictions: needs-root

Tests: install-mysql
Depends: @, php-cli, php-mysql, mariadb-server, curl, sudo, apache2
Restrictions: needs-root

Tests: install-postgresql
Depends: @, php-cli, php-pgsql, postgresql, curl, sudo, apache2
Restrictions: needs-root

## mediawiki 1.31.4

=== debian/changelog ===
mediawiki (1:1.31.4-1~deb10u1) buster-security; urgency=medium

  * New upstream version 1.31.4 (security release), fixing
    CVE-2019-16738. Add an additional patch, already merged upstream,
    to fix a fatal error caused by the upstream security patch.

 -- Kunal Mehta <legoktm@debian.org>  Fri, 11 Oct 2019 14:59:46 -0700

## mediawiki 1.31.5

=== debian/changelog ===
mediawiki (1:1.31.5-1) unstable; urgency=medium

  * New upstream version 1.31.5
  * Incorporate MySQL autopkgtest improvements from Lars Tangvald
    and Robie Basak from Ubuntu:
    * Use a different method besides MySQL 8.0's default authentication
      because PHP doesn't currently support it.
    * Explicitly test MySQL and MariaDB regardless of which one is the
      default.
  * Standards-Version: 4.4.1, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Sat, 26 Oct 2019 18:01:59 -0700

mediawiki (1:1.31.4-1) unstable; urgency=medium

  * New upstream version 1.31.4 (security release), fixing
    CVE-2019-16738.

 -- Kunal Mehta <legoktm@debian.org>  Fri, 11 Oct 2019 14:47:07 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: mediawiki
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kunal Mehta <legoktm@debian.org>
+Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper (>= 10),
  dh-buildinfo,
  apache2-dev
 Homepage: https://www.mediawiki.org/
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://gerrit.wikimedia.org/r/mediawiki/debian.git
 Vcs-Browser: https://gerrit.wikimedia.org/g/mediawiki/debian
 Rules-Requires-Root: no

=== debian/tests/control ===
--- 
+++ 
@@ -5,14 +5,17 @@
 Depends: @, php-cli, php-sqlite3, curl, sudo, apache2
 Restrictions: needs-root
 
+# default-mysql
 Tests: install-mysql
 Depends: @, php-cli, php-mysql, default-mysql-server, curl, sudo, apache2
 Restrictions: needs-root
 
+# mysql
 Tests: install-mysql
 Depends: @, php-cli, php-mysql, mysql-server, curl, sudo, apache2
 Restrictions: needs-root
 
+# mariadb
 Tests: install-mysql
 Depends: @, php-cli, php-mysql, mariadb-server, curl, sudo, apache2
 Restrictions: needs-root
